package com.gh.gamecenter.adapter.viewholder;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.databinding.GamedetailItemNewsBinding;
import com.gh.gamecenter.feature.entity.NewsEntity;

/**
 * Created by LGT on 2016/9/8.
 */
public class GameDetailNewsViewHolder extends BaseRecyclerViewHolder<NewsEntity> {

    public GamedetailItemNewsBinding binding;

    public GameDetailNewsViewHolder(GamedetailItemNewsBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public GameDetailNewsViewHolder(GamedetailItemNewsBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.gamedetailItemNewsMore.setOnClickListener(this);
        this.binding.gamedetailItemNews1.setOnClickListener(this);
        this.binding.gamedetailItemNews2.setOnClickListener(this);
        this.binding.gamedetailItemNews3.setOnClickListener(this);
    }
}
